Your submission was sent successfully! Close

CVE-2017-8823

Published: 03 December 2017

In Tor before 0.2.5.16, 0.2.6 through 0.2.8 before 0.2.8.17, 0.2.9 before 0.2.9.14, 0.3.0 before 0.3.0.13, and 0.3.1 before 0.3.1.9, there is a use-after-free in onion service v2 during intro-point expiration because the expiring list is mismanaged in certain error cases, aka TROVE-2017-013.

Priority

Medium

CVSS 3 base score: 8.1

Status

Package Release Status
tor
Launchpad, Ubuntu, Debian
Upstream
Released (0.2.9.14-1, 0.3.1.9-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(0.3.1.9-1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.2.9.14-1ubuntu1~16.04.2)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(code not present)